| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::RenderPassMTL Class Referencefinal

`#include <render_pass_mtl.h>`

Inheritance diagram for impeller::RenderPassMTL:

## Public Member Functions
| ~RenderPassMTL () override
Public Member Functions inherited from impeller::RenderPass
virtual | ~RenderPass ()
const std::shared_ptr< const Context > & | GetContext () const
const RenderTarget & | GetRenderTarget () const
ISize | GetRenderTargetSize () const
const Matrix & | GetOrthographicTransform () const
void | SetLabel (std::string_view label)
void | SetPipeline (const std::shared_ptr< Pipeline< PipelineDescriptor >> &pipeline)
| The pipeline to use for this command. More...
virtual bool | SetVertexBuffer (VertexBuffer buffer)
| Specify the vertex and index buffer to use for this command. More...
bool | SetVertexBuffer (BufferView vertex_buffer)
| Specify a vertex buffer to use for this command. More...
bool | SetVertexBuffer (std::vector< BufferView > vertex_buffers)
| Specify a set of vertex buffers to use for this command. More...
bool | EncodeCommands () const
| Encode the recorded commands to the underlying command buffer. More...
virtual const std::vector< Command > & | GetCommands () const
| Accessor for the current Commands. More...
SampleCount | GetSampleCount () const
| The sample count of the attached render target. More...
PixelFormat | GetRenderTargetPixelFormat () const
| The pixel format of the attached render target. More...
bool | HasDepthAttachment () const
| Whether the render target has a depth attachment. More...
bool | HasStencilAttachment () const
| Whether the render target has an stencil attachment. More...
Public Member Functions inherited from impeller::ResourceBinder
virtual | ~ResourceBinder ()=default

## Friends
class | CommandBufferMTL

## Additional Inherited Members
Protected Member Functions inherited from impeller::RenderPass
bool | AddCommand (Command &&command)
| Record a command for subsequent encoding to the underlying command buffer. No work is encoded into the command buffer at this time. More...
| RenderPass (std::shared_ptr< const Context > context, const RenderTarget &target)
Static Protected Member Functions inherited from impeller::RenderPass
static bool | ValidateVertexBuffers (const BufferView vertex_buffers[], size_t vertex_buffer_count)
static bool | ValidateIndexBuffer (const BufferView &index_buffer, IndexType index_type)
Protected Attributes inherited from impeller::RenderPass
const std::shared_ptr< const Context > | context_
const SampleCount | sample_count_
const PixelFormat | pixel_format_
const bool | has_depth_attachment_
const bool | has_stencil_attachment_
const ISize | render_target_size_
const RenderTarget | render_target_
std::vector< Command > | commands_
std::vector< BufferView > | vertex_buffers_
std::vector< BufferResource > | bound_buffers_
std::vector< TextureAndSampler > | bound_textures_
const Matrix | orthographic_

## Detailed Description

Definition at line 16 of file render_pass_mtl.h.

## Constructor & Destructor Documentation

## ◆ ~RenderPassMTL()

impeller::RenderPassMTL::~RenderPassMTL | ( |  | ) |
| override

Definition at line 164 of file render_pass_mtl.mm.

164 {
165 if (!did_finish_encoding_) {
166 [encoder_ endEncoding];
167 did_finish_encoding_ = true;
168 }
169 }

## Friends And Related Function Documentation

## ◆ CommandBufferMTL

friend class CommandBufferMTL
| friend

Definition at line 22 of file render_pass_mtl.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/metal/render_pass_mtl.h
- impeller/renderer/backend/metal/render_pass_mtl.mm